#include <bits/stdc++.h>
#include <algorithm>

using namespace std;

int main()
{
    string A;
    string B;
    string C;
    long long a,b,c;
    cin >> a >> b >> c;
    A=to_string(a);
    B=to_string(b);
    C=to_string(c);
    string broj[6];

    /*for(int ia=0;;ia++)
    {
        A[ia]=char(a%10);
        a=a/10;
        if(a==0)
            break;
    }
    for(int ib=0;;ib++)
    {
        B[ib]=char(b%10);
        b=b/10;
        if(b==0)
            break;
    }
    for(int ic=0;;ic++)
    {
        C[ic]=char(c%10);
        c=c/10;
        if(c==0)
            break;
    }*/

    strcpy(broj[0],A);
    strcat(broj[0],B);
    strcat(broj[0],C);

    strcpy(broj[1],A);
    strcat(broj[1],C);
    strcat(broj[1],B);

    strcpy(broj[2],B);
    strcat(broj[2],A);
    strcat(broj[2],C);

    strcpy(broj[3],B);
    strcat(broj[3],C);
    strcat(broj[3],A);

    strcpy(broj[4],C);
    strcat(broj[4],A);
    strcat(broj[4],B);

    strcpy(broj[5],C);
    strcat(broj[5],B);
    strcat(broj[5],A);

    int maxx=0;
    for(int k=1;k<6;k++)
    {
        if(strcmp(broj[maxx],broj[k])<0)
        {
            maxx=k;
        }
    }
    cout << broj[maxx];
    return 0;
}